# ============================================
#  Synthesis script - Leonardo Spectrum
# ============================================
#  Example 1 / HERON-FPGA9V
# ============================================

puts ""
puts " Synthesis script for HERON-FPGA9V Example 1"
puts ""

# Global timing constraints (100 MHz)
set input2register 10.0
set register2output 10.0
set register2register 10.0

#Technology settings and then load library
set part 2vp7ff672
set process 6
set wire_table xc2vp-7-6_wc
load_library xc2vp

#Read in the design
read { ../../Common/HE_RWCLK.vhd
       ../../Common/HE_WR_6F.vhd
       ../../Common/V2_RD_6F.vhd
       ../../Common/HE_USER.vhd
       ../../Common/HE_DDR_DATA.vhd
       ../../Common/HE_DDR_CTRL.vhd
       ../../Common/HE_DDR.vhd
       ../Src/HSB1.vhd
       ../Src/USER_AP1.vhd
       ../../Common/TOP.vhd }

#Optimize the design and apply timing
optimize -target xc2vp -chip -area -effort quick -hierarchy auto 
optimize_timing

#Write out the edf netlist for PnR
auto_write Ex1_top.edf
